#
# spec file for package perl-File-Slurp
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-File-Slurp
Version:        9999.19
Release:        15.3
License:        GPL-1.0+ or Artistic-1.0
%define cpan_name File-Slurp
Summary:        Simple and Efficient Reading/Writing of Complete Files
Url:            http://search.cpan.org/dist/File-Slurp/
Group:          Development/Libraries/Perl
#Source:         http://www.cpan.org/authors/id/U/UR/URI/File-Slurp-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(POSIX)
Requires:       perl(Carp)
Requires:       perl(Exporter)
Requires:       perl(Fcntl)
Requires:       perl(POSIX)
%{perl_requires}

%description
This module provides subs that allow you to read or write entire files with
one simple call. They are designed to be simple to use, have flexible ways
to pass in or get the file contents and to be very efficient. There is also
a sub to read in all the files in a directory other than '.' and '..'

These slurp/spew subs work for files, pipes and sockets, stdio,
pseudo-files, and the DATA handle. Read more about why slurping files is a
good thing in the file 'slurp_article.pod' in the extras/ directory.

If you are interested in how fast these calls work, check out the
slurp_bench.pl program in the extras/ directory. It compares many different
forms of slurping. You can select the I/O direction, context and file
sizes. Use the --help option to see how to run it.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes README TODO

%changelog
* Wed Jun  8 2011 pascal.bleser@opensuse.org
- update to 9999.19:
  * read_file and write_file work even when interrupted by signals; this
    includes a test for read_file interrupt
  * fixed bugs in the config synopsis example
* Tue May 17 2011 pascal.bleser@opensuse.org
- update to 9999.18:
  * added :std and :edit export tags
  * cleaned up EXPORT vars
  * documented importing edit_file and edit_file_lines
  * requiring Perl 5.6.2 (first time older Perls were dropped); this is because
    of use of the re 'taint' pragma
  * added major new features: edit_file and edit_file_lines
  * speed up of tainted slurp with return of lines
  * added chomp option to read_file
  * added prefix option to read_dir
  * fixed optimization of reading small files
  * added support for read_file options to be a hash reference
  * added support for read_dir options to be a hash reference
  * added new feature prepend_file
  * fixed bug with array_ref in list context. was introduced by .15/.14
* Thu Mar 31 2011 coolo@novell.com
  * update to 9999.15
  - Added LICENCE (same as perl) to POD
  - for the rest, see Changes (a lot)
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Aug  9 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
- added bcond_with pod
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Tue Jul 14 2009 chris@computersalat.de
- initial package 9999.13
